/*
 * Copyright (C) 2013 Darth Affe <http://wyrez.org> and contributors
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package org.wyrez.shootingstars.game;

import uk.co.caprica.vlcj.binding.internal.libvlc_media_t;
import uk.co.caprica.vlcj.player.MediaPlayer;
import uk.co.caprica.vlcj.player.MediaPlayerEventListener;

/**
 *
 * @author Darth Affe
 */
public class MediaPlayerEventListenerBase implements MediaPlayerEventListener {

    public void mediaChanged(MediaPlayer mp, libvlc_media_t l, String string) {
    }

    public void opening(MediaPlayer mp) {
    }

    public void buffering(MediaPlayer mp, float f) {
    }

    public void playing(MediaPlayer mp) {
    }

    public void paused(MediaPlayer mp) {
    }

    public void stopped(MediaPlayer mp) {
    }

    public void forward(MediaPlayer mp) {
    }

    public void backward(MediaPlayer mp) {
    }

    public void finished(MediaPlayer mp) {
    }

    public void timeChanged(MediaPlayer mp, long l) {
    }

    public void positionChanged(MediaPlayer mp, float f) {
    }

    public void seekableChanged(MediaPlayer mp, int i) {
    }

    public void pausableChanged(MediaPlayer mp, int i) {
    }

    public void titleChanged(MediaPlayer mp, int i) {
    }

    public void snapshotTaken(MediaPlayer mp, String string) {
    }

    public void lengthChanged(MediaPlayer mp, long l) {
    }

    public void videoOutput(MediaPlayer mp, int i) {
    }

    public void error(MediaPlayer mp) {
    }

    public void mediaMetaChanged(MediaPlayer mp, int i) {
    }

    public void mediaSubItemAdded(MediaPlayer mp, libvlc_media_t l) {
    }

    public void mediaDurationChanged(MediaPlayer mp, long l) {
    }

    public void mediaParsedChanged(MediaPlayer mp, int i) {
    }

    public void mediaFreed(MediaPlayer mp) {
    }

    public void mediaStateChanged(MediaPlayer mp, int i) {
    }

    public void newMedia(MediaPlayer mp) {
    }

    public void subItemPlayed(MediaPlayer mp, int i) {
    }

    public void subItemFinished(MediaPlayer mp, int i) {
    }

    public void endOfSubItems(MediaPlayer mp) {
    }
}
